System 2.0.0.0 4.0.0.0 System.Enum System.Flags

The , , and flags are mutually exclusive. The flag is the only flag that does not require the permission to be granted.

Specifies the way to open the X.509 certificate store.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.OpenFlags

  Open the X.509 certificate store and include archived certificates.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.OpenFlags

  Open the X.509 certificate store for the highest access allowed.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.OpenFlags

  Opens only existing stores; if no store exists, the method will not create a new store.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.OpenFlags

  Open the X.509 certificate store for reading only.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.OpenFlags

  Open the X.509 certificate store for both reading and writing.